<template>
    <div v-if="resource.video_url" class="embed-container mt-2">
        <iframe :src="remplaceVideo(resource.video_url)"></iframe>
    </div>
</template>

<script>

export default {
    name:"video-recurso",
    props: ["resource"],
    methods: {
        remplaceVideo(url) {
            return url.replace("watch?v=", "embed/");
        }
    }
};
</script>

<style>
.embed-container {
    position: relative;
    padding-bottom: 56.25%;
    height: 0;
    overflow: hidden;
}

.embed-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100% !important;
}
</style>
